/**
 * Erstellt einen Hash aus einem gegebenen String.
 * @param input - Der Eingabestring, der gehasht werden soll.
 * @param algorithm - Das Hash-Algorithmus (z.B. 'sha256', 'sha512').
 * @returns Der generierte Hash als Hex-String.
 */
export declare function hashString(input: string, algorithm?: 'sha256' | 'sha512'): string;
export declare function hashObject(input: any, algorithm?: 'sha256' | 'sha512'): string;
export declare function hash(input: any): string;
